package nc.vo.th.ocr;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;

public class OCRInvoiceVO extends SuperVO{

	/**
	 * OCR识别数据VO
	 */
	private static final long serialVersionUID = -6696792044044972297L;
	
	private String pk_invoice;//采购发票主键
	private String pk_ocrinvoice;//主表
	private String code;//发票代码
	private String fpnumber;//发票号
	private String ncid; //NC附件id
	private String ocrid; //ocr上传返回id
	private String name;//发票名称
	private String orf;//是否发票原件
	private String uo;//是否更新过
	private String type;//发票类型
	private String flag;//企业票夹使用
	private String del;//删除状态
	private UFDate kpdate;//开票日期
	private String kind;//发票费用类型
	private String cname;//发票票种名称
	private String chcode;//开票校验码
	private String iele;//是否是电子发票 0不显示，1为电子 2为纸质
	private UFDouble amount;//不含税金额
	private UFDouble total;//含税金额合计
	private UFDouble dtax;//可抵扣税额
	private String gmftcode;//购买方纳税人识别号
	private String gmfcompany;//购买方公司名称
	private String xsftcode;//销售方纳税人识别号
	private String xsfcompany;//销售方公司名称
	private String ret;//错误id
	private String message;//错误信息
	private Integer is_valid;//是否需要查验 0不需要 1需要
	private String actionMsg;//按钮信息
	private Integer dr;
	private UFDateTime ts;
	
	public static final String PK_INVOICE = "pk_invoice";
	public static final String PK_OCRINVOICE = "pk_ocrinvoice";
	public static final String CODE = "code";
	public static final String FPNUMBER = "fpnumber";
	public static final String NCID = "ncid";
	public static final String OCRID = "ocrid";
	public static final String NAME = "name";
	public static final String ORF = "orf";
	public static final String UO = "uo";
	public static final String TYPE = "type";
	public static final String FLAG = "flag";
	public static final String DEL = "del";
	public static final String KIND = "kind";
	public static final String KPDATE = "kpdate";
	public static final String CNAME = "cname";
	public static final String CHCODE = "chcode";
	public static final String IELE = "iele";
	public static final String AMOUNT = "amount";
	public static final String Total="total" ;
	public static final String DTAX = "dtax";
	public static final String GMFTCODE = "gmftcode";
	public static final String GMFCOMPANY = "gmfcompany";
	public static final String XSFTCODE = "xsftcode";
	public static final String XSFCOMPANY = "xsfcompany";
	public static final String RET = "ret";
	public static final String MESSAGE = "message";
	public static final String IS_VALID = "is_valid";
	public static final String GNFCOMPANY = "gmfcompany";
	public static final String DR = "dr";
	public static final String TS = "ts";
	
	
	public String getPk_invoice() {
		return pk_invoice;
	}
	public void setPk_invoice(String pk_invoice) {
		this.pk_invoice = pk_invoice;
	}
	
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getFpnumber() {
		return fpnumber;
	}
	public void setFpnumber(String fpnumber) {
		this.fpnumber = fpnumber;
	}
	public UFDate getKpdate() {
		return kpdate;
	}
	public void setKpdate(UFDate kpdate) {
		this.kpdate = kpdate;
	}
	public String getPk_ocrinvoice() {
		return pk_ocrinvoice;
	}
	public void setPk_ocrinvoice(String pk_ocrinvoice) {
		this.pk_ocrinvoice = pk_ocrinvoice;
	}
	public String getNcid() {
		return ncid;
	}
	public void setNcid(String ncid) {
		this.ncid = ncid;
	}
	public String getOcrid() {
		return ocrid;
	}
	public void setOcrid(String ocrid) {
		this.ocrid = ocrid;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getOrf() {
		return orf;
	}
	public void setOrf(String orf) {
		this.orf = orf;
	}
	public String getUo() {
		return uo;
	}
	public void setUo(String uo) {
		this.uo = uo;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getFlag() {
		return flag;
	}
	public void setFlag(String flag) {
		this.flag = flag;
	}
	public String getDel() {
		return del;
	}
	public void setDel(String del) {
		this.del = del;
	}
	public UFDate getDate() {
		return kpdate;
	}
	public void setDate(UFDate kpdate) {
		this.kpdate = kpdate;
	}
	public String getKind() {
		return kind;
	}
	public void setKind(String kind) {
		this.kind = kind;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public String getChcode() {
		return chcode;
	}
	public void setChcode(String chcode) {
		this.chcode = chcode;
	}
	public String getIele() {
		return iele;
	}
	public void setIele(String iele) {
		this.iele = iele;
	}
	public UFDouble getAmount() {
		return amount;
	}
	public void setAmount(UFDouble amount) {
		this.amount = amount;
	}
	public UFDouble getTotal() {
		return total;
	}
	public void setTotal(UFDouble total) {
		this.total = total;
	}
	public UFDouble getDtax() {
		return dtax;
	}
	public void setDtax(UFDouble dtax) {
		this.dtax = dtax;
	}
	public String getGmftcode() {
		return gmftcode;
	}
	public void setGmftcode(String gmftcode) {
		this.gmftcode = gmftcode;
	}
	public String getGmfcompany() {
		return gmfcompany;
	}
	public void setGmfcompany(String gmfcompany) {
		this.gmfcompany = gmfcompany;
	}
	public String getXsftcode() {
		return xsftcode;
	}
	public void setXsftcode(String xsftcode) {
		this.xsftcode = xsftcode;
	}
	public String getXsfcompany() {
		return xsfcompany;
	}
	public void setXsfcompany(String xsfcompany) {
		this.xsfcompany = xsfcompany;
	}
	public String getRet() {
		return ret;
	}
	public void setRet(String ret) {
		this.ret = ret;
	}
	public String getMessage() {
		return message;
	}
	public void setMessage(String message) {
		this.message = message;
	}
	public Integer getIs_valid() {
		return is_valid;
	}
	public void setIs_valid(Integer is_valid) {
		this.is_valid = is_valid;
	}
	public String getActionMsg() {
		return actionMsg;
	}
	public void setActionMsg(String actionMsg) {
		this.actionMsg = actionMsg;
	}
	public Integer getDr() {
		return dr;
	}
	public void setDr(Integer dr) {
		this.dr = dr;
	}
	public UFDateTime getTs() {
		return ts;
	}
	public void setTs(UFDateTime ts) {
		this.ts = ts;
	}
	
	@Override
	public String getParentPKFieldName() {
		// TODO Auto-generated method stub
		return "pk_ocrinvoice";
	}
	@Override
	public String getTableName() {
		// TODO Auto-generated method stub
		return "th_ocrinvoice";
	}

}
